ScandinavianNormalizer (Lucene 10.5.1 common API)
Description: declaration: package: org.apache.lucene.analysis.miscellaneous, class: ScandinavianNormalizer

Package org.apache.lucene.analysis.miscellaneous

# Class ScandinavianNormalizer

java.lang.Object
org.apache.lucene.analysis.miscellaneous.ScandinavianNormalizer

public final class ScandinavianNormalizer extends Object
This Normalizer does the heavy lifting for a set of Scandinavian normalization filters, normalizing use of the interchangeable Scandinavian characters æÆäÄöÖøØ and folded variants (aa, ao, ae, oe and oo) by transforming them to åÅæÆøØ.

Since:
  9.0
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ScandinavianNormalizer.Foldings`
  List of possible foldings that can be used when configuring the filter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Set<ScandinavianNormalizer.Foldings>`
  `ALL_FOLDINGS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScandinavianNormalizer(Set<ScandinavianNormalizer.Foldings> foldings)`
  Create the instance, while choosing which foldings to apply.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `processToken(char[] buffer, int length)`
  Takes the original buffer and length as input.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ALL_FOLDINGS

    public static final Set<ScandinavianNormalizer.Foldings> ALL_FOLDINGS

- ## Constructor Details

  - ### ScandinavianNormalizer

    public ScandinavianNormalizer(Set<ScandinavianNormalizer.Foldings> foldings)
    Create the instance, while choosing which foldings to apply. This may differ between Norwegian, Danish and Swedish.
    Parameters:
      `foldings` - a Set of Foldings to apply (i.e. AE, OE, AA, AO, OO)

- ## Method Details

  - ### processToken

    public int processToken(char[] buffer, int length)
    Takes the original buffer and length as input. Modifies the buffer in-place and returns new length
    Returns:
      new length